SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.1 2009/01/09 03:48:30 babolo Exp $

JNTROSTUP(tftpd,,dnl
,dnl
# jailup ${inclass} dir jailname jailaddr [uid [gid]]
#     where dir relative to ${jailupdir} and ${jailrodir}
#           jailname - hostname for jail (see jail(2) hostname)
#           jailaddr - IP addr for jail (see jail(2) ip_number)
#           uid for tftpd (numeric)
#           gid for tftpd (numeric)
# tftpd from base system useddnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
uid="${4:-600009}"
gid="${5:-600009}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"
if  [ -n "${CONFSHIFT}" ]; then
    conf_dir="${conf_dir}/${CONFSHIFT}"
fi

${mkdir} "${main_dir}" "${conf_dir}/etc" "${conf_dir}/boot"
${up_mdir} "${main_dir}" ${MTREE}
echo "localtime" | ${up_data} "${conf_dir}/etc/" /etc/

${up_conf} "${conf_dir}/etc/" /etc/ <<- EOF
	host.conf hosts protocols resolv.conf
EOF

${up_genlist} libexec/ ${MTREE} | ${up_libexe} "${main_dir}/libexec/"
${up_genlist} libexec/ ${MTREE} | ${up_ldsh} | ${up_shlib} "${main_dir}/lib"
${up_ponf} "${conf_dir}/etc/xinetd" "${TEMPLATE}"
      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_acc} gr "${conf_dir}/etc" <<- EOF
	wheel:*:0:
	tftp:*:${gid}:
	nogroup:*:65533:
EOF

${up_acc} pwt "${conf_dir}/etc" <<- EOF
	root:*:0:0::0:0:root:/:/nonexistent
	tftp:*:${uid}:${gid}::0:0:TFTP:/boot:/nonexistent
EOF
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################

${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=dir uname=root gname=wheel mode=0755 flags=none
.
    boot
    ..
    etc
/set type=file mode=0644
        host.conf
        hosts
        resolv.conf
        localtime
        protocols
        group
        xinetd
        master.passwd		mode=0600
        master.template		mode=0600
    ..
..
EOF

${up_adc} "${JAILUPRC}" <<- EOF
#${genclass}	xinetd		${jdir}	${jailsname}	${jailsaddr}	0	0	0	xinetd
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${up_adc} "${etcdir}/fstab" <<- EOF
	#devfs			${main_dir}/dev		devfs	rw		0 0
	#${conf_dir}/etc	${main_dir}/etc		nullfs	ro,noexec	0 0
	#${conf_dir}/boot	${main_dir}/boot/r	nullfs	ro,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
